cmake_minimum_required(VERSION 3.5)

project(kysdk-base)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

include_directories("${PROJECT_BINARY_DIR}")

set (CMAKE_EXPORT_COMPILE_COMMANDS ON)
set (CMAKE_SKIP_RPATH ON)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug)
endif()

message("Build Type: ${CMAKE_BUILD_TYPE}")

set (LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

# 设置 CMAKE_INSTALL_LIBDIR 变量  
set (CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})

set (CMAKE_INSTALL_HEADER_DIR /usr/include/kysdk/kysdk-base)

add_subdirectory(src)
